Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 228909 - In the view model, separate the value and HTML value and allow custom property editors.
In the view model, separate the value and HTML value and allow custom propert...
Status: RESOLVED FIXED
Product: debugger
Classification: Unclassified
Component: Code
7.4
All All
: P3 (vote)
: 7.4
Assigned To: Martin Entlicher
issues@debugger
: API, API_REVIEW_FAST
Depends on:
Blocks: 206668 212827
  Show dependency treegraph
 
Reported: 2013-04-23 16:51 UTC by Martin Entlicher
Modified: 2013-05-04 01:47 UTC (History)
0 users

See Also:
Issue Type: ENHANCEMENT
:


Attachments
The API change. (54.01 KB, patch)
2013-04-23 17:23 UTC, Martin Entlicher
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Entlicher 2013-04-23 16:51:43 UTC
The view model (spi.viewmodel) is used by debugger for GUI presentation of JVM state and associated information.
In order to be able to use different property editors for different values (see issue #212827 and issue #206668), we need to be able to provide a specific property editor for every table cell.
In order to accomplish this, we need to introduce additional model interfaces, that can be used to provide the necessary information.
Four model interfaces need to be added:
TableHTMLModel, TableHTMLModelFilter, TablePropertyEditorsModel and TablePropertyEditorsModelFilter.
Comment 1 Martin Entlicher 2013-04-23 17:23:10 UTC
Created attachment 133723 [details]
The API change.
Comment 2 Martin Entlicher 2013-04-23 17:23:55 UTC
Please review this API change.
Comment 3 Martin Entlicher 2013-04-29 09:33:58 UTC
Thanks for the review, I'll integrate the change tomorrow.
Comment 4 Martin Entlicher 2013-04-30 09:07:15 UTC
Thanks for the review, the change is pushed as changeset: 252310:5d5d2d354ead
http://hg.netbeans.org/core-main/rev/5d5d2d354ead
Comment 5 Quality Engineering 2013-05-04 01:47:45 UTC
Integrated into 'main-golden', will be available in build *201305032300* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/5d5d2d354ead
User: mentlicher@netbeans.org
Log: #228909: Models providing HTML values and property editors.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo